package c4.player;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class SoundEffectsPane extends JPanel implements ActionListener
{
	public SoundEffectsPane()
	{
        sound=new JCheckBox("Sound");
        sound.setSelected(true);
        sound.addActionListener(this);
		add(sound);

   		TitledBorder soundBorder=new TitledBorder("Sound Effects");
   		setBorder(soundBorder);
	}

	public boolean isSoundOn()
	{
		return soundEffects;
	}

	public void setEnabled(boolean bool)
	{
		final boolean enabled=bool;
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				sound.setEnabled(enabled);
			}
		});
	}

	public void actionPerformed(ActionEvent evt)
	{
		soundEffects=(soundEffects==true)?false:true;
		String state=(soundEffects)?"on":"off";
		if (DEBUG) System.out.println("Sound effects are " + state);
	}

	private JCheckBox sound;
	private boolean soundEffects=true;
	private boolean DEBUG=true;
}


