package c4.shared;

import java.awt.*;

/**
 * Contants for custom event ID's.
 */
public interface EventID
{
	/** RegisterEvent ID number.*/
	public static final int RegisterEvent=AWTEvent.RESERVED_ID_MAX+4;
	/** UnregisterEvent ID number.*/
	public static final int UnregisterEvent=AWTEvent.RESERVED_ID_MAX+5;
	/** PlayEvent ID number.*/
	public static final int PlayEvent=AWTEvent.RESERVED_ID_MAX+6;
	/** EndEvent ID number.*/
	public static final int EndEvent=AWTEvent.RESERVED_ID_MAX+7;
	/** GameRequestEvent ID number.*/
	public static final int GameRequestEvent=AWTEvent.RESERVED_ID_MAX+8;
	/** GameAcceptedEvent ID number.*/
	public static final int GameAcceptedEvent=AWTEvent.RESERVED_ID_MAX+9;
	/** GameDeclinedEvent ID number.*/
	public static final int GameDeclinedEvent=AWTEvent.RESERVED_ID_MAX+10;
	/** GameEndedEvent ID number.*/
	public static final int GameEndedEvent=AWTEvent.RESERVED_ID_MAX+11;
	/** BusyEvent ID number.*/
	public static final int BusyEvent=AWTEvent.RESERVED_ID_MAX+12;
	/** OpponentBusyEvent ID number.*/
	public static final int OpponentBusyEvent=AWTEvent.RESERVED_ID_MAX+13;
	/** ReceivedMoveEvent ID number.*/
	public static final int ReceivedMoveEvent=AWTEvent.RESERVED_ID_MAX+14;
	/** MadeMoveEvent ID number.*/
	public static final int MadeMoveEvent=AWTEvent.RESERVED_ID_MAX+15;
	/** ResultEvent ID number.*/
	public static final int ResultEvent=AWTEvent.RESERVED_ID_MAX+16;
	/** TimerElapsedEvent ID number.*/
	public static final int TimeElapsedEvent=AWTEvent.RESERVED_ID_MAX+17;
	/** PlayerStatsEvent ID number.*/
	public static final int PlayerStatsEvent=AWTEvent.RESERVED_ID_MAX+18;
}
