package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a game challenge has been declined.
 */
public class  GameDeclinedEvent extends AbstractGameEvent
{
	/**
	 * Creates the GameDeclinedEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	game the Game object.
	 */
	public GameDeclinedEvent(Component source,Game game)
	{
		super(source,EventID.GameDeclinedEvent);
		this.game=game;
	}

	public Game getGame()
	{
		return super.getGame();
	}
}

