package c4.shared;

import java.rmi.*;
import java.util.Vector.*;

/**
 * Remote interface used for game moves communication between players. Implemented by GameMovesImpl.
 * @see		GameMovesImpl for example of implementation.
 */
public interface GameMoves extends Remote
{
	/** Informs the server that a move has been made.*/
	public void move(Move move) throws RemoteException;
}

