package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that the requested opponent was busy.
 */
public class OpponentBusyEvent extends AbstractGameEvent
{
	/**
	 * Creates the OpponentBusyEvent.
	 * @param	source the Component to which the event is to be received by.
	 */
	public OpponentBusyEvent(Component source,Game game)
	{
		super(source,EventID.OpponentBusyEvent);
		this.game=game;
	}

	public Game getGame()
	{
		return super.getGame();
	}
}
