package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a a time period has elapsed.
 */
public class  TimeElapsedEvent extends AWTEvent
{
	/**
	 * Creates the TimeElapsedEvent.
	 * @param	source the Component to which the event is to be received by.
	 */
	public TimeElapsedEvent(Component source)
	{
		super(source,EventID.TimeElapsedEvent);
	}
}

