package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a player wishes to un-register with the server.
 */
public class UnregisterEvent extends AWTEvent
{
	/**
	 * Creates the UnregisterEvent.
	 * @param	source the Component to which the event is to be received by.
	 */
	public UnregisterEvent(Component source)
	{
		super(source,EventID.UnregisterEvent);
	}
}
