echo off
echo Compiling Server classes....
javac c4\server\*.java
echo Compiling Player classes....
javac c4\player\*.java
echo Compiling Shared classes....
javac c4\shared\*.java
echo Creating remote object skelton classes....
rmic -d . c4.server.RegPlayersImpl
rmic -d . c4.server.GameMovesImpl
rmic -d . c4.server.GameControllerImpl
echo Starting remote object registry....
start rmiregistry
echo Starting C4Server server application....
start java -Djava.security.policy=game.policy c4.server.C4Server
