package c4.player;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

/**
 * UI component which provides game staus information to the player.
 */
public class StatusPane extends JPanel
{
	/**
	 * Creates the status UI component.
	 */
	public StatusPane()
	{
		setLayout(new FlowLayout(FlowLayout.LEFT));
   		TitledBorder statusBorder=new TitledBorder("Status");
   		setBorder(statusBorder);
   		status=new JLabel("Not registered",JLabel.LEFT);
   		add(status);
   	}

	/**
	 * Displays the message defined by the argument message.
	 * @param	message the new status message.
	 */
   	public void setStatus(String message)
   	{
   		final String statusString=message;
   		SwingUtilities.invokeLater(new Runnable() {
   			public void run() {
  		 		status.setText(statusString);
  		 	}
  		 });
   	}

   	private JLabel status;
}

