package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a game challenge has been accepted.
 */
public class  GameAcceptedEvent extends AbstractGameEvent
{
	/**
	 * Creates the GameAcceptedEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	game the Game object.
	 */
	public GameAcceptedEvent(Component source,Game game)
	{
		super(source,EventID.GameAcceptedEvent);
		this.game=game;
	}

	public Game getGame()
	{
		return super.getGame();
	}
}
