package c4.shared;

/**
 * Implemented by classes wishing to be informed of GameController messages. Implemented by C4Player.
 * @see		GameController
 * @see		C4Player for implementation example.
 */
public interface GameControllerListener
{
	/** Informs an object of games updates.*/
   	public void updateGames(Game game);
}
