package c4.shared;

/**
 * Implemented by classes wishing to be informed of GameMoves messages. Implemented by C4Player.
 * @see		GameMoves
 * @see		C4Player for implementation example.
 */
public interface GameMovesListener
{
	/** Informs an object of new moves.*/
   	public void updateMoves(Move move);
}
