package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a game request has been received.
 */
public class  GameRequestEvent extends AbstractGameEvent
{
	/**
	 * Creates the GameRequestEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	game the Game object.
	 */
	public GameRequestEvent(Component source,Game game)
	{
		super(source,EventID.GameRequestEvent);
		this.game=game;
	}

	public Game getGame()
	{
		return super.getGame();
	}
}
