package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a player wishes to register with the server.
 */
public class RegisterEvent extends AWTEvent
{
	/**
	 * Creates the RegisterEvent.
	 * @param	source the Component to which the event is to be received by.
	 */
	public RegisterEvent(Component source)
	{
		super(source,EventID.RegisterEvent);
	}
}
